Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000057Core InformRules and rulebookspublic2010-06-17 21:532010-07-01 23:07
Assigned Tograham 
Platformx86OSMac OS XOS Version10.5
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000057: Requesting an actor to end the story results in an ``unable to do that'' message.
DescriptionI am not sure if this is intended behavior or not. Adding ``rule succeeds'' or ``rule fails'' to the carry out rule affects the return value of the appropriate I6 routine in the expected way, but the story always has the behavior below: printing ``unable to do that.'' This is nice for portraying death as impatient, but less useful when we want a request to result in an NPC successfully murdering the player.

- - - -

You can see Death here.

>test me

>[1] death, wait.
Death is unable to do that.

    *** The End ***
Minimal Source Text To Reproduce
Dream is a room.
Death is a man in the Dream.
Carry out an actor waiting:
	end the story.
Persuasion rule for asking someone to try waiting:
	persuasion succeeds.
Test me with "Death, wait."
Additional InformationACTIONS and RULES show the following:

    >death, wait
    [asking Death to try waiting]
    [Rule "Persuasion rule for asking someone to try waiting" applies.]
    [(1) Death waiting]
    [Rule "Carry out an actor waiting" applies.]
    [(1) Death waiting - ended without result]
    Death is unable to do that.
    [asking Death to try waiting - succeeded]

The "ended without result" part only appears if the rule ends the story.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
graham (administrator)
2010-06-20 15:46

A curiosity, this one, but I think it must be right that the end of the story pre-empts any explanation about an action being incomplete. Fixed: the "unable to do that" message is now suppressed in such cases, and similarly if the story should end during the persuasion rules.

- Issue History
Date Modified Username Field Change
2010-06-17 21:53 EmacsUser New Issue
2010-06-17 21:55 EmacsUser Issue Monitored: EmacsUser
2010-06-17 22:03 jmcgrew Status new => acknowledged
2010-06-19 12:23 jmcgrew Priority low => normal
2010-06-19 12:23 jmcgrew Status acknowledged => confirmed
2010-06-19 12:23 jmcgrew Additional Information Updated View Revisions
2010-06-20 15:46 graham Note Added: 0000101
2010-06-20 15:46 graham Status confirmed => resolved
2010-06-20 15:46 graham Resolution open => fixed
2010-06-20 15:46 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker